import * as t from '@babel/types';
import { GraphQLCompositeType } from 'graphql';
import { Variable, PrintableFieldDetails } from 'graphql-tool-utilities/ast';
import { ObjectStack } from './utilities';
import { OperationContext } from './context';
export declare function tsInterfaceBodyForObjectField({fields}: PrintableFieldDetails, graphQLType: GraphQLCompositeType | GraphQLCompositeType[], stack: ObjectStack, context: OperationContext, requiresTypename?: boolean): t.TSInterfaceBody;
export declare function variablesInterface(variables: Variable[], context: OperationContext): t.TSInterfaceDeclaration;
