import { GraphQLCompositeType, GraphQLInterfaceType, GraphQLObjectType, GraphQLUnionType } from 'graphql';
import { Field } from 'graphql-tool-utilities/ast';
export declare class ObjectStack {
    private type;
    private field;
    private parent;
    private isFragment;
    private seenFields;
    readonly name: string;
    constructor(type?: GraphQLObjectType | GraphQLInterfaceType | GraphQLUnionType | undefined, field?: Field | undefined, parent?: ObjectStack | undefined, isFragment?: boolean);
    nested(field: Field, type: GraphQLCompositeType): ObjectStack;
    fragment(type?: GraphQLCompositeType): ObjectStack;
    sawField(field: Field): void;
    hasSeenField(field: Field): boolean;
}
